Package io.papermc.paper.entity

# Enum Class RelativeTeleportFlag

java.lang.Object
java.lang.Enum<RelativeTeleportFlag>
io.papermc.paper.entity.RelativeTeleportFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<RelativeTeleportFlag>`, `Constable`

@Experimental public enum RelativeTeleportFlag extends Enum<RelativeTeleportFlag>
Represents coordinates in a teleportation that should be handled relatively.

See Also:
  - `Player.teleport(Location, PlayerTeleportEvent.TeleportCause, boolean, boolean, RelativeTeleportFlag...)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PITCH`
Represents the player's pitch
`X`
Represents the player's X coordinate
`Y`
Represents the player's Y coordinate
`YAW`
Represents the player's yaw
`Z`
Represents the player's Z coordinate

## Method Summary

Modifier and Type
Method
Description
`static RelativeTeleportFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RelativeTeleportFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### X

public static final RelativeTeleportFlag X
Represents the player's X coordinate

### Y

public static final RelativeTeleportFlag Y
Represents the player's Y coordinate

### Z

public static final RelativeTeleportFlag Z
Represents the player's Z coordinate

### YAW

public static final RelativeTeleportFlag YAW
Represents the player's yaw

### PITCH

public static final RelativeTeleportFlag PITCH
Represents the player's pitch

## Method Details

### values

public static RelativeTeleportFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RelativeTeleportFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null